Arch RohrVerbinder

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch PipeConnector and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎日本語
Arrow-left.svg Arch Pipe.svg Rohr Vorherige:

Arch PipeConnector.svg Arch RohrVerbinder

Menüeintrag
Arch → Rohrwerkzeuge → Rohr Verbinder
Arbeitsbereich
Arch
Standardtastenkürzel
P C
In der Version eingeführt
0.17
Siehe auch
Arch Rohr, Arch Ausstattung


Beschreibung

Dieses Werkzeug ermöglicht eine Eck- oder T-Stück Verbindung zwischen zwei oder drei ausgewählten Arch Rohre erstellen.

Anwendung

  1. Wähle 2 oder 3 Arch Rohre. Wenn du 3 Rohre auswählst, müssen zwei davon exakt ausgerichtet sein.
  2. Drücke die Arch PipeConnector.svg Arch RohrVerbinder Schaltfläche oder drücke die P und dann C Tasten.

Eigenschaften

  • DataRadius: Der Krümmungsradius dieses Verbinders

Typischer Arbeitsablauf

Siehe die Information auf Arch Rohr für den Arbeitsablauf zur Verwendung von Rohren und der Erstellung von Verbindungen.

Skripten

Siehe auch: Arch API und FreeCAD Grundlagen Skripten.

Das Werkzeug Rohrverbinder kann in Makros und aus der Python Konsole verwendet werden, durch anwenden der folgende Funktion:

Connector = makePipeConnector(pipes, radius=0, name="Connector")
  • Erstellt ein Verbinder Objekt aus den gegebenen Rohren, die eine Liste von Arch Rohren ist, und wahlweise einen radius der Krümmung.
    • Die Basisobjekte (Entwurf Drahte) der Arch Rohre sollten einen gemeinsamen Endpunkt haben, so dass sie einen sauberen, glatten Verbinder bilden.

Beispiel:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(-1000, 0, 0)
p2 = FreeCAD.Vector(-2000, 0, 0)
p3 = FreeCAD.Vector(-2000, 0, 0)
p4 = FreeCAD.Vector(-2000, -1000, 0)
p5 = FreeCAD.Vector(-2000, -1000, 0)
p6 = FreeCAD.Vector(-4000, -1000, 0)
Line1 = Draft.makeWire([p1, p2])
Line2 = Draft.makeWire([p3, p4])
Line3 = Draft.makeWire([p5, p6])

Pipe1 = Arch.makePipe(Line1, 150)
Pipe2 = Arch.makePipe(Line2, 150)
Pipe3 = Arch.makePipe(Line3, 150)
FreeCAD.ActiveDocument.recompute()

Conn = Arch.makePipeConnector([Pipe1, Pipe2])
Conn2 = Arch.makePipeConnector([Pipe2, Pipe3])
FreeCAD.ActiveDocument.recompute()

Line4 = Draft.move(Line1, FreeCAD.Vector(-500, 1000, 0), copy=True)
Line5 = Draft.move(Line2, FreeCAD.Vector(-500, 1000, 0), copy=True)
Pipe4 = Arch.makePipe(Line4, 100)
Pipe5 = Arch.makePipe(Line5, 100)
FreeCAD.ActiveDocument.recompute()

Conn3 = Arch.makePipeConnector([Pipe4, Pipe5], radius=400)
FreeCAD.ActiveDocument.recompute()


Arrow-left.svg Arch Pipe.svg Rohr Vorherige: